Блог Андрея

 
 

Symfony 3.4 - не работает в окружении prod "excluded_http_codes" cannot be used as your version of Monolog bridge does not support it.

При попытке переключить проект Symfony 3.4 в окружение prod проект не работает, а при попытке очистить кэш появляется ошибка

In MonologExtension.php line 329:
<p class="bg-danger">"excluded_http_codes" cannot be used as your version of Monolog bridge does not support it.</p>

Напишу коротко и по факту.

Никакие откаты версии symfony/monolog-bundle до 3.1 или 3.3

как написано тут мне не помогли.

Помогло только собственно комментирование строчки excluded_http_codes: [404, 405] в файле config/packages/prod/monolog.yaml

К чему это приведёт, я узнаю, когда буду делать 404-ую страницу.

Очень хочется написать: Так жить нельзя. ©